This is the mail archive of the gcc-help@gcc.gnu.org mailing list for the GCC project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Installing gcc 4.7.2 on Solaris 10 - SPARC platform


Solaris 10 shipped with an old gcc, probably version 3.7.2, under
/usr/sfw/bin. My project required to be built by gcc >=4.3 to be
compiled successfully. Therefore, I installed a pre-compiled gcc 3.4.6
from [sunfreeware.com|sunfreeware.com] and successfully compiled
latest version (2.23.1) of GNU binutils. Also I could successfully
build GMP, MPC, MPFR libraries required as a pre-requisite to compile
gcc. But, I get the error message as follows: (Last few lines of
several KBs of 'make' log)

/home/Dip/Workspace/gcc-build/./gcc/xgcc
-B/home/Dip/Workspace/gcc-build/./gcc/
-B/usr/local/sparc-sun-solaris2.10/bin/
-B/usr/local/sparc-sun-solaris2.10/lib/ -isystem
/usr/local/sparc-sun-solaris2.10/include -isystem
/usr/local/sparc-sun-solaris2.10/sys-include -g -O2 -m64 -O2 -g -O2
-DIN_GCC -W -Wall -Wwrite-strings -Wcast-qual -Wstrict-prototypes
-Wmissing-prototypes -Wold-style-definition -isystem ./include -fPIC
-g -DIN_LIBGCC2 -fbuilding-libgcc -fno-stack-protector -fPIC -I. -I.
-I../../.././gcc -I../../../../gcc-4.7.2/libgcc
-I../../../../gcc-4.7.2/libgcc/. -I../../../../gcc-4.7.2/libgcc/../gcc
-I../../../../gcc-4.7.2/libgcc/../include -DHAVE_CC_TLS -o _ctors.o
-MT _ctors.o -MD -MP -MF _ctors.dep -DL_ctors -c
../../../../gcc-4.7.2/libgcc/libgcc2.c -fvisibility=hidden
-DHIDE_EXPORTS
/home/Dip/Workspace/gcc-build/./gcc/xgcc
-B/home/Dip/Workspace/gcc-build/./gcc/
-B/usr/local/sparc-sun-solaris2.10/bin/
-B/usr/local/sparc-sun-solaris2.10/lib/ -isystem
/usr/local/sparc-sun-solaris2.10/include -isystem
/usr/local/sparc-sun-solaris2.10/sys-include -g -O2 -m64 -O2 -g -O2
-DIN_GCC -W -Wall -Wwrite-strings -Wcast-qual -Wstrict-prototypes
-Wmissing-prototypes -Wold-style-definition -isystem ./include -fPIC
-g -DIN_LIBGCC2 -fbuilding-libgcc -fno-stack-protector -fPIC -I. -I.
-I../../.././gcc -I../../../../gcc-4.7.2/libgcc
-I../../../../gcc-4.7.2/libgcc/. -I../../../../gcc-4.7.2/libgcc/../gcc
-I../../../../gcc-4.7.2/libgcc/../include -DHAVE_CC_TLS -o _ffssi2.o
-MT _ffssi2.o -MD -MP -MF _ffssi2.dep -DL_ffssi2 -c
../../../../gcc-4.7.2/libgcc/libgcc2.c -fvisibility=hidden
-DHIDE_EXPORTS
/var/tmp//ccT2zOsO.s: Assembler messages:
/var/tmp//ccT2zOsO.s:636: Error: unknown pseudo-op: `.group'
*make[5]: *** [_ffssi2.o] Error 1*
make[5]: Leaving directory
`/home/Dip/Workspace/gcc-build/sparc-sun-solaris2.10/sparcv9/libgcc'
*make[4]: *** [multi-do] Error 1*
make[4]: Leaving directory
`/home/Dip/Workspace/gcc-build/sparc-sun-solaris2.10/libgcc'
*make[3]: *** [all-multi] Error 2*
make[3]: Leaving directory
`/home/Dip/Workspace/gcc-build/sparc-sun-solaris2.10/libgcc'
*make[2]: *** [all-stage1-target-libgcc] Error 2*
make[2]: Leaving directory `/home/Dip/Workspace/gcc-build'
*make[1]: *** [stage1-bubble] Error 2*
make[1]: Leaving directory `/home/Dip/Workspace/gcc-build'
*make: *** [all] Error 2*

Does that ring any bell? Has anyone been able to build gcc >=4.3 from
source under Solaris 10 successfully? Please suggest. My project
urgently needs it, but all the activities are stalled.

--

Thanks & Regards,

Dipanjan


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]